Subject: FVWM: fvwm, softwindows-4 and colormap

From: Tobias Oetiker <[email-masked]>
Date: Tue, 30 Sep 1997 17:21:43 +0200 (MET DST)

I have a problem with softwindows 4.0 and fvwm-2.0.46.

SoftWindows seems to allocate a two colormaps in the window it opens.

One for the internal border and the Menus, and one for the 
Windows95 emulation. Now when I move the cursor into the window, 
the colormap does not change. This is fine for the Motif part of the
Interface, but for the Windows Emulation the private Colormap of the window
should be used. The only way to activate this private colormap seems
to be the following:

* Open one of the Motif menus
* Slide the cursor of the menu (which now overlaps the Windows Emulation 
  area) into the Windows Emulation Area
* Now the colormap Changes and all  the colors are OK.
* once I go out of the Window, the colormap snaps back to normal.
* when I enter next time the whole procedure has to be performed again ... 

any hints ?
tobi
--
 ______    __   _
/_  __/_  / /  (_) Oetiker, Timelord & SysMgr @ EE-Dept ETH-Zurich
 / // _ \/ _ \/ / TEL:+41(0)1-6325286  FAX:+41(0)1-6321194
/_/ \___/_.__/_/ [email-masked] http://ee-staff.ethz.ch/~oetiker

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].